> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flexprice.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get customer invoice summary

> Use when showing a customer's invoice overview (e.g. billing portal or balance summary). Includes totals and multi-currency breakdown.



## OpenAPI

````yaml /api-reference/openapi.json get /customers/{id}/invoices/summary
openapi: 3.0.1
info:
  title: Flexprice API
  description: Flexprice API Service
  contact:
    name: API Support
  license:
    name: AGPL-3.0
    url: https://www.gnu.org/licenses/agpl-3.0.html
  version: '1.0'
servers:
  - url: https://us.api.flexprice.io/v1
    description: US Region
  - url: https://api.cloud.flexprice.io/v1
    description: India Region
security: []
paths:
  /customers/{id}/invoices/summary:
    get:
      tags:
        - Invoices
      summary: Get customer invoice summary
      description: >-
        Use when showing a customer's invoice overview (e.g. billing portal or
        balance summary). Includes totals and multi-currency breakdown.
      operationId: getCustomerInvoiceSummary
      parameters:
        - name: id
          in: path
          description: Customer ID
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomerMultiCurrencyInvoiceSummary'
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors.ErrorResponse'
        '500':
          description: Server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors.ErrorResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    CustomerMultiCurrencyInvoiceSummary:
      type: object
      properties:
        customer_id:
          type: string
          description: customer_id is the unique identifier of the customer
        default_currency:
          type: string
          description: default_currency is the primary currency for this customer
        summaries:
          type: array
          description: summaries contains the invoice summaries for each currency
          items:
            $ref: '#/components/schemas/CustomerInvoiceSummary'
    errors.ErrorResponse:
      type: object
      properties:
        code:
          type: string
          enum:
            - not_found
            - already_exists
            - version_conflict
            - validation_error
            - invalid_operation
            - permission_denied
            - http_client_error
            - database_error
            - system_error
            - internal_error
            - service_unavailable
        details:
          type: object
          additionalProperties:
            type: object
        http_status_code:
          type: integer
        message:
          type: string
      x-speakeasy-name-override: ErrorResponse
    CustomerInvoiceSummary:
      type: object
      properties:
        currency:
          type: string
          description: currency is the three-letter ISO currency code for this summary
        customer_id:
          type: string
          description: customer_id is the unique identifier of the customer
        overdue_invoice_count:
          type: integer
          description: >-
            overdue_invoice_count is the number of overdue invoices for this
            customer in this currency
        total_invoice_count:
          type: integer
          description: >-
            total_invoice_count is the total number of invoices for this
            customer in this currency
        total_overdue_amount:
          type: string
          description: >-
            total_overdue_amount is the total amount of overdue invoices in this
            currency
        total_revenue_amount:
          type: string
          description: >-
            total_revenue_amount is the total revenue generated from this
            customer in this currency
        total_unpaid_amount:
          type: string
          description: >-
            total_unpaid_amount is the total amount of unpaid invoices in this
            currency
        unpaid_fixed_charges:
          type: string
          description: >-
            unpaid_fixed_charges is the total amount of unpaid fixed charges in
            this currency
        unpaid_invoice_count:
          type: integer
          description: >-
            unpaid_invoice_count is the number of unpaid invoices for this
            customer in this currency
        unpaid_usage_charges:
          type: string
          description: >-
            unpaid_usage_charges is the total amount of unpaid usage-based
            charges in this currency
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      description: Enter your API key in the format *x-api-key &lt;api-key&gt;**
      name: x-api-key
      in: header

````